package com.bureau.devicefingerprint.datacollectors

import android.content.Context
import android.media.AudioManager
import com.bureau.devicefingerprint.tools.executeSafe

class CallInfoProvider(var context: Context) {

    fun audioMode(): Int {
        val manager = context.getSystemService(Context.AUDIO_SERVICE) as AudioManager
        return executeSafe({ manager.mode }, -1000)
    }
}
