package com.bureau.devicefingerprint.datacollectors

import android.app.admin.DevicePolicyManager
import android.content.Context
import com.bureau.devicefingerprint.tools.executeSafe

class DeviceStorageProvider(var context: Context) {
    private val policyManager: DevicePolicyManager = context.getSystemService(Context.DEVICE_POLICY_SERVICE) as DevicePolicyManager
    fun getEncryptionStatus(): Int {
        return executeSafe({
            val storageEncryptionStatus = policyManager.storageEncryptionStatus
            storageEncryptionStatus
        }, -1)
    }
}
