package com.bureau.devicefingerprint.tools

import android.util.Log

object DebugUtils {
    private var charLimit = 4000

    @JvmStatic
    fun d(tag: String, message: String): Int {
        // If the message is less than the limit just show
        if (message.length < charLimit) {
            return Log.d(tag, message)
        }
        val sections = message.length / charLimit
        for (i in 0..sections) {
            val max = charLimit * (i + 1)
            if (max >= message.length) {
                Log.d(tag, message.substring(charLimit * i))
            } else {
                Log.d(tag, message.substring(charLimit * i, max))
            }
        }
        return 1
    }
}
